Skip to content

App Search — By name​

GET
/apps/search

Resolve an app name into package ids.

Authorizations​

bearerAuth

Your appmanai API key as a Bearer token.

Type
HTTP (bearer)

Parameters​

Query Parameters

store*

Which app store.

Type
string
Required
Valid values
"android""ios"
country*

Two-letter ISO country code. Case-insensitive.

Type
string
Required
Example"US"
Min Length
2
Max Length
2
Pattern
"^[A-Za-z]{2}$"
q*

Search text, e.g. "meditation".

Type
string
Required
limit

How many rows to return, up to 500.

Type
integer
Minimum
1
Maximum
500

Responses​

Successful response.

application/json
JSON
{
  
"status": 200,
  
"meta": {
  
  
"exec_time": 2.625,
  
  
"cache": false,
  
  
"count": 10
  
},
  
"data": {
  
  
"app_search": [
  
  
  
{
  
  
  
  
"package": "com.google.android.apps.dynamite",
  
  
  
  
"title": "Google Chat",
  
  
  
  
"developer": "Google LLC",
  
  
  
  
"icon": "https://play-lh.googleusercontent.com/MfBDUGFOSiROvn2EpD2pPby2z-PwpXqX3QHfCfpaz_0_U1o6mJQxGLW0WrlLo847MvxDqo5fEF4MG2pzBbu9rw"
  
  
  
},
  
  
  
{
  
  
  
  
"package": "com.openai.chatgpt",
  
  
  
  
"title": "ChatGPT",
  
  
  
  
"developer": "OpenAI",
  
  
  
  
"icon": "https://play-lh.googleusercontent.com/T9J8e9oxxPd600j_KPM4KK2GHfNpUpGBdTy8lHPXBXpOUfGusRuZXj0UMgFNrP8we6LVt9V-AibEgcLootE6VK4"
  
  
  
},
  
  
  
{
  
  
  
  
"package": "com.snapchat.android",
  
  
  
  
"title": "Snapchat",
  
  
  
  
"developer": "Snap Inc",
  
  
  
  
"icon": "https://play-lh.googleusercontent.com/nOJWJoDAzuRSHmlFfpzHXAj8UbTJwk_JGYf0uAPTKPtiiIX_2Y7r5ATO1ZtxHRqaFTqfIDZ40PnBK4hukeJh"
  
  
  
}
  
  
]
  
}
}

Samples​

Powered by VitePress OpenAPI